<template>
  <div class="favorites">
    <div style="padding-bottom: 0" class="container">
      <div class="favorites-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Избранное</p>
      </div>
      <p @click="showAll = !showAll" :class="{'active': showAll}" class="favorites-show-all subtitle">Показать все</p>
      <div class="favorites-category-wrap">
        <div
          v-for="(el, i) in favoritesCategory"
          :key="'favoritesCategory'+i"
          class="favorites-category"
          :class="{'favorites-category-active':selectedFavorites === el.id}"
          @click="selectedFavorites = el.id"
        >
          {{el.name}}
        </div>
      </div>
    </div>
    <div style="margin-bottom: 24px" class="favorites-slide">
      <div
        v-for="(slide, i) in slideFavorites.el"
        :key="i"
        :class="{'active': slideFavorites.active === slide.name}"
        @click="slideFavorites.active = slide.name"
        class="slide"
      >{{slide.name}}</div>
    </div>
    <div class="container">
      <router-link :to="{name: 'profile', params: {id: 'JenskiiClub'}}">
        <CardProfile name="Jenskii Club"/>
      </router-link>
    </div>
  </div>
</template>

<script>
import CardProfile from "../components/Card-profile";
export default {
  name: "Favorites",
  components: {CardProfile},
  data () {
    return {
      favoritesCategory: [
        {name: 'Аккаунты', id: 1, active: false},
        {name: 'Реклама', id: 2, active: false},
        {name: 'Работа', id: 3, active: false}
      ],
      selectedFavorites: null,
      slideFavorites: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'VK', link: '' },
          { name: 'Telegram', link: '' },
          { name: 'Inst', link: '' },
          { name: 'FB', link: '' },
          { name: 'YouTube', link: '' },
          { name: 'Яндекс.Дзен', link: '' },
        ]
      },
      showAll: false
    }
  }
}
</script>

<style scoped lang="scss">
.favorites {
  padding-bottom: 100px;
  .container {
    .favorites-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .favorites-show-all {
      font-weight: 400;
      font-size: 16px;
      line-height: 20px;
      margin-bottom: 24px;
      color: #C4C4C4;
      &.active {
        color: #2B7FE2;
      }
    }
    .favorites-category-wrap {
      display: flex;
      justify-content: space-between;
      margin-bottom: 24px;
      .favorites-category {
        color: #C4C4C4;
        border-radius: 12px;
        padding: 10px 24px;
        border: 1px solid #C4C4C4;
        text-align: center;
        transition: all 0.3s ease;
        &.favorites-category-active {
          background: #2B7FE2;
          color: white;
        }
      }
    }
  }
  .favorites-slide {
    display: flex;
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    padding-left: 24px;
    margin-bottom: 16px;
    &::-webkit-scrollbar {
      display: none;
    }
    .slide {
      margin: 0 8px;
      display: inline-block;
      color: #C4C4C4;
      transition: all 0.3s;
      &:first-child {
        margin-left: 0;
      }
      &.active {
        color: #2B7FE2;
      }
    }
  }
}
</style>
